GET /v1/telegram-bot/chats
List verified Telegram chats for organization
GET
/v1/telegram-bot/chats
List verified Telegram chats for organization
Query Parameters
q
string
optional
query
Search query
limit
integer
optional
query
Limit (default 20, max 100)
offset
integer
optional
query
Offset (default 0)
Responses
200
OK
application/jsonhasMore
boolean
items
object[]
Array of:
chatId
integer
chatTitle
string
chatType
string
chatUsername
string
connectorId
string
connectorName
string
id
string
organizationId
string
verifiedAt
string
verifiedBy
string
limit
integer
offset
integer
400
Bad Request
curl -X GET 'https://api.example.com/v1/telegram-bot/chats' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/telegram-bot/chats', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/telegram-bot/chats', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/telegram-bot/chats", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "hasMore": true, "items": [ { "chatId": 123, "chatTitle": "<string>", "chatType": "<string>", "chatUsername": "<string>", "connectorId": "<string>", "connectorName": "<string>", "id": "<string>", "organizationId": "<string>", "verifiedAt": "<string>", "verifiedBy": "<string>" } ], "limit": 123, "offset": 123}
API Playground
Try this endpoint
GET
/v1/telegram-bot/chats
